For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
              • POSTCreate Coupon Code
              • GETGet Coupon Code
              • DELDelete Coupon Code
              • DELDelete Coupon Code by ID
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPromotionsCoupon Codes Single

Get Coupon Code

GET
https://api.bigcommerce.com/stores/:store_hash/v3/promotions/codes
GET
/stores/:store_hash/v3/promotions/codes
$curl -G https://api.bigcommerce.com/stores/store_hash/v3/promotions/codes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d code=TEST_COUPON
200example-1
1{
2 "data": [
3 {
4 "id": 245,
5 "code": "SUMMER_SALE_2024",
6 "current_uses": 15,
7 "created": "2024-05-01T10:15:30+00:00",
8 "max_uses": 100,
9 "max_uses_per_customer": 3
10 }
11 ],
12 "meta": {
13 "pagination": {
14 "total": 1,
15 "count": 1,
16 "per_page": 50,
17 "current_page": 1,
18 "total_pages": 1,
19 "links": {
20 "current": "?page=1&limit=50"
21 }
22 },
23 "cursor_pagination": {
24 "count": 1,
25 "per_page": 50,
26 "links": {
27 "next": "?limit=50&after=eyJpZCI6IjI0NSJ9"
28 },
29 "start_cursor": "eyJpZCI6IjI0NSJ9",
30 "end_cursor": "eyJpZCI6IjI0NSJ9"
31 }
32 }
33}

Get a coupon with a given coupon code.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Was this page helpful?
Previous

Create Coupon Code

Next

Delete Coupon Code

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

codestringRequired

Filter items by code.

Response

datalist of objects
metaobject

Contains data about paginating the response via cursors. If no pagination details are specified, then both properties will be present. When a ‘before’ or ‘after’ cursor is provided, only the ‘cursor_pagination’ property will be present. When a ‘page’ parameter is provided, only the offset based ‘pagination’ property will be present.

The MIME type of the response body.